FreePBX | Register | Issues | Wiki | Portal | Support

EndPoint Manager 14.0.2.194 or higher is required, you have 14.0.2.188


(Jon Califf) #1

fwconsole ma upgrade endpoint

No repos specified, using: [standard,commercial,unsupported] from last GUI settings

endpoint is the same as the online version, unable to upgrade

fwconsole ma checkdepends restapps

The following dependencies are not met:

  • EndPoint Manager module version 14.0.2.194 or higher is required, you have 14.0.2.188

Please help. Need restapps to work.


#2

Me Too. fresh install No restapps.


(Lorne Gaetz) #3

That version is still in the edge repo, you can use:

fwconsole ma downloadinstall endpoint --tag 14.0.2.194  --edge

or upgrade all the way to current edge with:

fwconsole ma upgrade endpoint --edge

(Emungai) #4

Ditto. Dead in the water.


(Jon Califf) #5

Thank you Lorne. I enabled Edge updates and was able to update EndPoint and RestApps and restore functionality.

The obvious followup question is: Why does the version of RestApps installed by automatic updates require an Edge update for EndPoint, and how do I get back to normal working production version?


(Matt Yakel) #6

Same Issue here the fix posted by @lgaetz worked, but I am also curious as to why it got released this way??


(Andrew Nagy) #7

Because it was an accident.


(Lorne Gaetz) #8

Otherwise known as a temporary lapse of perfection.


#9

I did that once myself :wink:


(Andrew Nagy) #10

Breaking News: Things happen (this isn’t an attack on anyone. just a joke!)


(Jon Califf) #11

Thanks, Obama!


(Andrew Nagy) #12

Also I made the required releases stable.


(Jon Califf) #13

I did not mean for my question to sound accusatory either, which I realize in retrospect it probably did. I was wondering if maybe I had made a mistake in configuration. I guess the path forward is probably to wait until the new EndPoint verison is out of Edge and update at that time?


(Jon Califf) #14

Nice. Thanks.


#15

Funny but ‘fake news’ , in the words of the bard, “Truth will out”

Before the slings and arrows arrive, I claim membership of the 66% minority :wink:


(Jon Califf) #16

FYI, voicemail playback seems to be broken in Edge version of RestApps. Before I received your response with better instructions I enabled Edge updates on my system and updated both EndPoint and RestApps. I was going to leave it like that, but voicemail playback did not work. I was able to delete and install normal version and am up and running but thought you may want to know.

Thanks again for the help!


(Andrew Nagy) #17

But that’s what makes it so much better (not the fake part but the door part) (also I didnt see the door kick until I posted it)


#18

Hopefully we can agree to disagree, made up s#$t is never better for me, but please go with god.


(Andrew Nagy) #19

It’s a joke.


(Jared Busch) #20

Enabling Edge Updates in the main advanced settings is a bad idea. You will get updates to all modules currently in edge.

If you do it all through the GUI, enable edge, specifically update the module you need and then turn edge back off.